import request from '@/utils/request'
// 查询消防车量数
export function getStatistics (params) {
  return request({
    url: '/car/statistics' ,
    method: 'get',
    params
  })
}
// 查询机构数及车辆
export function getCarTree () {
  return request({
    url: '/car/car_tree',
    method: 'get'
  })
}
// 查询在线车辆
export function getCarList (params) {
  return request({
    url: '/car/list',
    method: 'get',
    params
  })
}
// 查询在线车辆视频
export function getCarVideo (params) {
  return request({
    url: '/car/video',
    method: 'get',
    params,
    ignoreError: true
  })
}
// 查询在线车辆信息
export function getCarInfo (id) {
  return request({
    url: '/car/'+id,
    method: 'get',
  })
}
// 查询在线车辆视轨迹
export function getCarLocation (params) {
  return request({
    url: '/car/location',
    method: 'get',
    params
  })
}
// 查询在线车辆统计（百分比）
export function getCarStatisticsCategory (params) {
  return request({
    url: '/car/statisticsCategory',
    method: 'get',
    params
  })
}
// 查询在线车辆统计（柱状图）
export function getCarByDept(params) {
  return request({
    url: '/car/statisticsCategoryByDept',
    method: 'get',
    params
  })
}